Open-Xchange sebezhetőségek

CH azonosító

CH-13150

Angol cím

Open-Xchange vulnerabilities

Felfedezés dátuma

2016.04.04.

Súlyosság

Közepes

Érintett rendszerek

Open-Xchange Inc.
Open-Xchange Server

Érintett verziók

Open-Xchange Server 7.x

Összefoglaló

Az Open-Xchange kapcsán a fejlesztők két sebezhetőségről számoltak be.

Leírás

Ezek XSS-alapú támadásokra adhatnak lehetőséget, és ilyen módon jogosulatlan műveletvégrehajtáshoz és adatlopáshoz vezethetnek.

A biztonsági rést az okozza, hogy az alkalmazás esetenként nem ellenőrzi megfelelően a bemeneti paramétereket, ami tetszőleges HTML és script kódokkal történő visszaéléseket segíthet elő.

Megoldás

A 7.6.2-rev50, 7.6.3-rev8 és a 7.8.0-rev26 verziók már nem tartalmazzák a fenti biztonsági hibákat.